OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.EnvmapBumpmap

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIEnvmapBumpmap :: MonadIO m => m Bool
- gl_ATI_envmap_bumpmap :: Bool
- gl_BUMP_ENVMAP_ATI :: GLenum
- gl_BUMP_NUM_TEX_UNITS_ATI :: GLenum
- gl_BUMP_ROT_MATRIX_ATI :: GLenum
- gl_BUMP_ROT_MATRIX_SIZE_ATI :: GLenum
- gl_BUMP_TARGET_ATI :: GLenum
- gl_BUMP_TEX_UNITS_ATI :: GLenum
- gl_DU8DV8_ATI :: GLenum
- gl_DUDV_ATI :: GLenum
- glGetTexBumpParameterfvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetTexBumpParameterivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glTexBumpParameterfvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glTexBumpParameterivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()

# Extension Support

glGetATIEnvmapBumpmap :: MonadIO m => m Bool

Is the ATI_envmap_bumpmap extension supported?

gl_ATI_envmap_bumpmap :: Bool

Is the ATI_envmap_bumpmap extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIEnvmapBumpmap` in those cases instead.

# Enums

gl_BUMP_ENVMAP_ATI :: GLenum

gl_BUMP_NUM_TEX_UNITS_ATI :: GLenum

gl_BUMP_ROT_MATRIX_ATI :: GLenum

gl_BUMP_ROT_MATRIX_SIZE_ATI :: GLenum

gl_BUMP_TARGET_ATI :: GLenum

gl_BUMP_TEX_UNITS_ATI :: GLenum

gl_DU8DV8_ATI :: GLenum

gl_DUDV_ATI :: GLenum

# Functions

glGetTexBumpParameterfvATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `GetTexBumpParameterATI`.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetTexBumpParameterivATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `GetTexBumpParameterATI`.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glTexBumpParameterfvATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `TexBumpParameterATI`.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glTexBumpParameterivATI

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `TexBumpParameterATI`.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |